Bug 129919 - volume of sound card (PCM) is muted upon each reboot
volume of sound card (PCM) is muted upon each reboot
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-soundcard (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-14 04:38 EDT by Vladimir Kotal
Modified: 2007-11-30 17:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-22 09:32:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vladimir Kotal 2004-08-14 04:38:11 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040803

Description of problem:
After each reboot I have to set PCM volume from 0 to some sane value
in order to be able to hear sound output.


This bug might be in gnome-volume-control (there is no such Component,
so I have selected system-config-soundcard)

In gnome-volume-control, there are two "entries":

1. Realtek ALC658 rev 0 (OSS MIxer)
2. VIA 823x rev60 (Alsa Mixer)

If I set PCM value in the first one value other than 0, I can
here sound. Until that, sound card is playing (it is visible e.g. in
xmms), but no sound comes out.

Here is relevant part of lsmod output:

Module                  Size  Used by
snd_mixer_oss          14017  2
snd_via82xx            24165  6
snd_ac97_codec         58821  1 snd_via82xx
snd_pcm                83529  2 snd_via82xx
snd_timer              25413  1 snd_pcm
snd_page_alloc          8393  2 snd_via82xx,snd_pcm
gameport                4033  1 snd_via82xx
snd_mpu401_uart         7361  1 snd_via82xx
snd_rawmidi            21733  1 snd_mpu401_uart
snd_seq_device          6473  1 snd_rawmidi
snd                    45349  15
snd_mixer_oss,snd_via82xx,snd_ac97_codec,snd_pcm,snd_timer,snd_mpu401_uart,snd_rawmidi,snd_seq_device
soundcore               7713  3 snd


Version-Release number of selected component (if applicable):
system-config-soundcard-1.2.8-1

How reproducible:
Always

Steps to Reproduce:
1. boot into FC2
2. run xmms on some ogg files (no sound coming out)
3. run Gnome Volume control
4. set PCM to value higher than 0
5. sound comes out

Actual Results:  first, no sound was comming out. After setting PCM
value by gnome volume contronl, sound come out.

Expected Results:  after each reboot, I want PCM value to be set to
value higher than 0.

Additional info:
Comment 1 Julien Olivier 2004-09-03 06:59:58 EDT
Isn't it a dup of #119866 ?
Comment 2 Vladimir Kotal 2004-09-03 08:27:51 EDT
well, sort of. I'd say it should primarily unmute the volume initially
and then remember the settings. The fact, that it does not remember
the settings, is IMHO a separate bug.
Comment 3 Bastien Nocera 2004-09-30 20:12:29 EDT
This isn't system-config-soundcard's job.
However, please attach your /etc/modprobe.conf and state which version
of the modutils you have, and we'll see where the bug could lie.
Comment 4 Vladimir Kotal 2004-12-19 07:32:16 EST
This issue is fixed in FC3, however for completenes I'm attaching FC3 modprobe.conf and 
modutils version:

alias eth0 e100
alias scsi_hostadapter sata_via
alias snd-card-0 snd-via82xx
options snd-card-0 index=0
install snd-via82xx /sbin/modprobe --ignore-install snd-via82xx && /usr/sbin/als
actl restore >/dev/null 2>&1 || :
remove snd-via82xx { /usr/sbin/alsactl store >/dev/null 2>&1 || : ; }; /sbin/mod
probe -r --ignore-remove snd-via82xx
alias usb-controller ehci-hcd
alias usb-controller1 uhci-hcd
alias ieee1394-controller ohci1394


module-init-tools version 3.1-pre5
Comment 5 Christian Schaller 2005-02-24 07:32:57 EST
I have this issue too on my Dell Inspiron 8600 (using FC3). The 'Master' sound
setting seems to get stored, but headphones and PCM gets muted on each reboot.
Here is the content of my modprobe.conf:
alias eth0 b44
alias snd-card-0 snd-intel8x0
install snd-intel8x0 /sbin/modprobe --ignore-install snd-intel8x0 &&
/usr/sbin/alsactl restore >/dev/null 2>&1 || :
remove snd-intel8x0 { /usr/sbin/alsactl store >/dev/null 2>&1 || : ; };
/sbin/modprobe -r --ignore-remove snd-intel8x0
alias usb-controller ehci-hcd
alias usb-controller1 uhci-hcd
alias eth1 ipw2100

options quickcam compatible=255
alias char-major-195* nvidia
alias snd-card-1 snd-usb-audio
options snd-card-1 index=1
install snd-usb-audio /sbin/modprobe --ignore-install snd-usb-audio &&
/usr/sbin/alsactl restore >/dev/null 2>&1 || :
remove snd-usb-audio { /usr/sbin/alsactl store >/dev/null 2>&1 || : ; };
/sbin/modprobe -r --ignore-remove snd-usb-audio
alias char-major-195* nvidia
alias char-major-195* nvidia
alias char-major-195* nvidia
alias char-major-195* nvidia
Comment 6 Matthew Miller 2005-04-26 12:02:48 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 7 Christian Schaller 2005-07-27 06:15:32 EDT
This issue is fixed for me know with FC4, so as far as I am concerned this bug
can be closed as fixed.
Comment 8 Martin Stransky 2005-08-22 09:32:44 EDT
I did some tests and it looks fine in FC4, please reopen it if you still have
this problem...

Note You need to log in before you can comment on or make changes to this bug.